/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_core_group
#define headerfile_winix_core_group

#include <string>
#include <vector>



struct Group
{
	long id;
	std::wstring name; // group name
	std::vector<long> members; // users id
	
	Group()
	{
		Clear();
	}
	
	
	void Clear()
	{
		id = -1;
		name.clear();
		members.clear();	
	}
	
};





#endif
