/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "ls.h"




namespace Fun
{

Ls::Ls()
{
	fun.url = L"ls";
}


void Ls::MakeGet()
{
	if( !cur->request->is_item )
	{
		DbItemQuery iq;

		iq.sel_content = false;

		iq.WhereParentId(cur->request->dir_tab.back()->id);
		iq.WhereType(Item::dir, false);

		if( cur->request->IsParam(L"ckeditor_browse") )
		{
			iq.WhereFileType(WINIX_ITEM_FILETYPE_IMAGE);
			db->GetItems(cur->request->item_tab, iq);
		}
		else
		{
			db->GetItems(cur->request->item_tab, iq);
		}
	}
}








} // namespace
