/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_gallery_galleryinfo
#define headerfile_winix_plugins_gallery_galleryinfo

#include <vector>
#include "core/item.h"



namespace Gallery
{

class GalleryInfo
{
public:

	// id of a mount type
	int mount_type_gallery;

	// enable a thread in a specific directory
	// and set sort type (asc, desc)
	int mount_par_gallery;

	int mount_par_gallery_size;

	int mount_par_gallery_theme;


	// "lightbox" (default)
	// "galleria" (http://galleria.aino.se/)
	// "galleriathumb" (http://galleria.aino.se/)
	int mount_par_gallery_type;

	// id of the current plugin
	int plugin_id;


	void Clear();

	std::vector<Item>  item_tab;
	std::vector<Item*> item_sort_tab;

private:

};


} // namespace

#endif


