/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_thread_funthread
#define headerfile_winix_plugins_thread_funthread

#include "functions/functionbase.h"
#include "tdb.h"
#include "threadinfo.h"



namespace Thread
{


class FunThread : public FunctionBase
{
public:

	FunThread();
	bool HasAccess();
	void MakeGet();
	void PrepareThread(long file_id);

	void SetTDb(TDb * ptdb);
	void SetThreadInfo(ThreadInfo * pthread_info);

private:

	TDb * tdb;
	ThreadInfo * thread_info;
	std::vector<long> id_tab;

};


} // namespace

#endif
