/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */


#include "core/request.h"
#include "templates.h"




namespace TemplatesFunctions
{

static size_t rebus_reqid = 0;



void rebus_init()
{
	if( rebus_reqid != cur->request->id )
	{
		cur->session->rebus_item = system->rebus.Rand();
		cur->session->rebus_checked = false;
		rebus_reqid = cur->request->id;
	}
}


void rebus_question(Info & i)
{
	rebus_init();

	if( cur->session->rebus_item )
		i.out << cur->session->rebus_item->question;
}








} // namespace


