/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_emacs
#define headerfile_winix_functions_emacs

#include "functionbase.h"



namespace Fun
{


class Emacs : public FunctionBase
{
public:

	Emacs();
	bool HasAccess();
	void MakePost();

private:

	bool HasAccess(const Item & item); // !! takie funkcje to nie powinny byc skladowe modelu?
	bool PostEmacsCheckAbuse(bool adding);
	void PostFunEmacsModifyMountPoint(bool adding);
	int NotifyCodeEdit();
	int NotifyCodeAdd();

	std::wstring old_url;
};


} // namespace

#endif
