/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2011, Tomasz Sowa
 * All rights reserved.
 * 
 */

#include "tinymce.h"
#include "functions.h"



namespace Fun
{

Tinymce::Tinymce()
{
	fun.url = L"tinymce";
}


void Tinymce::Init()
{
	system->AddCommonFileToVar(L"winix/tinymce.js", L"tinymce.js");
}


bool Tinymce::HasAccess()
{
	return functions->fun_emacs.HasAccess();
}


void Tinymce::MakeGet()
{
	cur->session->last_css.clear();
	int parcss = system->mounts.MountParCss();

	if( cur->mount->param[parcss].defined )
		cur->session->last_css = cur->mount->param[parcss].arg;
}



void Tinymce::MakePost()
{
	functions->fun_emacs.MakePost();
}




} // namespace
