/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010-2011, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "vim.h"
#include "functions.h"



namespace Fun
{

Vim::Vim()
{
	fun.url = L"vim";
}


void Vim::Init()
{
	// WYMeditor doesn't work on different domains by default,
	// solution: http://forum.wymeditor.org/forum/viewtopic.php?f=2&t=731&p=2507#p2504
	// we add one file to winix: /var/wymiframe.html

	system->AddCommonFileToVar(L"winix/wymiframe.html", L"wymiframe.html");
}


bool Vim::HasAccess()
{
	return functions->fun_emacs.HasAccess();
}


void Vim::MakePost()
{
	functions->fun_emacs.MakePost();
}




} // namespace
