/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_gallery_gallery
#define headerfile_winix_plugins_gallery_gallery

#include "functions/functionbase.h"
#include "galleryinfo.h"



namespace Gallery
{


class Gallery : public FunctionBase
{
public:

	Gallery();
	bool HasAccess();
	void MakeGet();

	void SetGalleryInfo(GalleryInfo * pinfo);

private:

	GalleryInfo * gallery_info;
	DbItemQuery iq;

	void CreatePointers();
	void SortPointers();
	void MakeGetDir();
	void MakeGetFile();
};


} // namespace

#endif
