/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"



namespace TemplatesFunctions
{

/*
	some config options
*/


void config_use_ssl(Info & i)
{
	i.res = config->use_ssl;
}


void config_use_ssl_static(Info & i)
{
	i.res = config->use_ssl_static;
}


void config_use_ssl_common(Info & i)
{
	i.res = config->use_ssl_common;
}


void config_url_proto(Info & i)
{
	i.out << config->url_proto;
}


void config_url_ssl_proto(Info & i)
{
	i.out << config->url_ssl_proto;
}


void config_base_url(Info & i)
{
	i.out << config->base_url;
}


void config_base_url_static(Info & i)
{
	i.out << config->base_url_static;
}


void config_base_url_common(Info & i)
{
	i.out << config->base_url_common;
}




} // namespace TemplatesFunctions


