/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2012, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "templates.h"
#include "core/request.h"
#include "core/misc.h"



namespace TemplatesFunctions
{


// change password code provided by a user
// we don't know whether it is valid or not
void pw_users_change_password_code(Info & i)
{
	i.out << cur->request->ParamValue(L"code");
}


void pw_change_password_login(Info & i)
{
	i.out << cur->request->ParamValue(L"login");
}



} // namespace TemplatesFunctions



